Public Member Functions

# wxClientDC Class Reference
[Device Contexts]

`#include <wx/dcclient.h>`

Inheritance diagram for wxClientDC:
[legend]

## Detailed Description

A wxClientDC must be constructed if an application wishes to paint on the client area of a window from outside an EVT_PAINT() handler.

This should normally be constructed as a temporary stack object; don't store a wxClientDC object.

To draw on a window from within an EVT_PAINT() handler, construct a wxPaintDC object instead.

To draw on the whole window including decorations, construct a wxWindowDC object (Windows only).

A wxClientDC object is initialized to use the same font and colours as the window it is associated with.

##

Library: wxCore
Category: Device Contexts

See also:
  wxDC, wxMemoryDC, wxPaintDC, wxWindowDC, wxScreenDC

## Public Member Functions
| wxClientDC (wxWindow *window)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxClientDC::wxClientDC | ( | wxWindow * | window | ) |

Constructor.

Pass a pointer to the window on which you wish to paint.

|  | [ top ]